diff -Naur flashrom/flashchips.c flashrom-patched/flashchips.c
--- flashrom/flashchips.c 2011-05-27 10:11:38.000000000 +0200
+++ flashrom-patched/flashchips.c  2011-05-27 15:13:04.000000000 +0200
@@ -4027,9 +4027,6 @@
   {
    {
     .eraseblocks = { {64 * 1024, 128} },
-    .block_erase = spi_block_erase_20,
-   }, {
-    .eraseblocks = { {64 * 1024, 128} },
     .block_erase = spi_block_erase_d8,
    }, {
     .eraseblocks = { {8 * 1024 * 1024, 1} },
@@ -4037,6 +4034,9 @@
    }, {
     .eraseblocks = { {8 * 1024 * 1024, 1} },
     .block_erase = spi_block_erase_c7,
+   }, {
+    .eraseblocks = { {4 * 1024, 2048} },
+    .block_erase = spi_block_erase_20,
    }
   },
   .unlock  = spi_disable_blockprotect,
diff -Naur flashrom/flashchips.h flashrom-patched/flashchips.h
--- flashrom/flashchips.h 2011-05-27 10:11:38.000000000 +0200
+++ flashrom-patched/flashchips.h  2011-05-27 15:11:46.000000000 +0200
@@ -356,7 +356,7 @@
 #define MACRONIX_MX25L8005 0x2014 /* Same as MX25V8005 */
 #define MACRONIX_MX25L1605 0x2015 /* MX25L1605{,A,D} */
 #define MACRONIX_MX25L3205 0x2016 /* MX25L3205{,A} */
-#define MACRONIX_MX25L6405 0x2017 /* MX25L3205{,D} */
+#define MACRONIX_MX25L6405 0x2017 /* MX25L6405{,D}, also used for MX25L6445E */
 #define MACRONIX_MX25L12805  0x2018 /* MX25L12805 */
 #define MACRONIX_MX25L1635D  0x2415
 #define MACRONIX_MX25L1635E  0x2515 /* MX25L1635{E} */